ClusterManagementServiceBuilder.PlainBuilder (Apache Geode 1.11.0)
Date: 2019-12-20

org.apache.geode.management.client

## Interface ClusterManagementServiceBuilder.PlainBuilder

- All Superinterfaces:
    ClusterManagementServiceBuilder.Builder
  Enclosing class:
    ClusterManagementServiceBuilder

      public static interface ClusterManagementServiceBuilder.PlainBuilder
      extends ClusterManagementServiceBuilder.Builder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClusterManagementServiceBuilder.PlainBuilder` | `setAuthToken(String authToken)` If security-manager is enabled and auth-token-enabled-components includes "management", set the authToken to access the ClusterManagementService Note: if this is set, username/password will be ignored if set
    `ClusterManagementServiceBuilder.PlainBuilder` | `setCredentials(String username, String password)` if the cluster has SecurityManager enabled, set the credentials to access the ClusterManagementService
    `ClusterManagementServiceBuilder.PlainBuilder` | `setHostAddress(String host, int port)` points to the locator address and http-service-port
    `ClusterManagementServiceBuilder.PlainBuilder` | `setHostnameVerifier(HostnameVerifier hostnameVerifier)`
    `ClusterManagementServiceBuilder.PlainBuilder` | `setSslContext(SSLContext context)` if the web component is ssl-enabled, need to set an SSLContext to connect

    - ### Methods inherited from interface org.apache.geode.management.client.ClusterManagementServiceBuilder.Builder

      `build`

- - ### Method Detail

    - #### setHostAddress

          ClusterManagementServiceBuilder.PlainBuilder setHostAddress(String host,
                                                                      int port)

      points to the locator address and http-service-port

    - #### setSslContext

          ClusterManagementServiceBuilder.PlainBuilder setSslContext(SSLContext context)

      if the web component is ssl-enabled, need to set an SSLContext to connect

    - #### setHostnameVerifier

          ClusterManagementServiceBuilder.PlainBuilder setHostnameVerifier(HostnameVerifier hostnameVerifier)

    - #### setCredentials

          ClusterManagementServiceBuilder.PlainBuilder setCredentials(String username,
                                                                      String password)

      if the cluster has SecurityManager enabled, set the credentials to access the ClusterManagementService

    - #### setAuthToken

          ClusterManagementServiceBuilder.PlainBuilder setAuthToken(String authToken)

      If security-manager is enabled and auth-token-enabled-components includes "management", set the authToken to access the ClusterManagementService Note: if this is set, username/password will be ignored if set